> ## Documentation Index
> Fetch the complete documentation index at: https://docs.clickpesa.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Query Payout Status

> Queries for the payouts status using payout’s Order Reference



## OpenAPI

````yaml GET /payouts/{orderReference}
openapi: 3.0.1
info:
  title: CORE API OpenAPI Specification
  description: This is the API documentation for the ClickPesa CORE API
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.clickpesa.com/third-parties
security:
  - bearerAuth: []
paths:
  /payouts/{orderReference}:
    get:
      description: Queries for the payouts status using payout’s Order Reference
      parameters:
        - name: orderReference
          in: path
          required: true
          schema:
            type: string
          description: Unique identifier for the payout order
      responses:
        '200':
          description: Query Payout Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Response'
        '401':
          description: Invalid or Expired Token
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedError'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotFoundError'
components:
  schemas:
    Response:
      type: array
      items:
        type: object
        properties:
          updatedAt:
            type: string
            format: date-time
            description: Last updated timestamp
          createdAt:
            type: string
            format: date-time
            description: Creation timestamp
          id:
            type: string
            description: Payout ID
          orderReference:
            type: string
            description: Associated order reference
          amount:
            type: string
            description: Payout amount
          currency:
            type: string
            description: Currency code
          fee:
            type: string
            description: Transaction fee
          status:
            type: string
            description: Payout status
            enum:
              - SUCCESS
              - PROCESSING
              - PENDING
              - FAILED
              - REFUNDED
              - REVERSED
          channel:
            type: string
            description: Payout channel
            enum:
              - BANK TRANSFER
              - MOBILE MONEY
          channelProvider:
            type: string
            description: Name of the payout channel provider
          transferType:
            type: string
            description: Transfer type - when applicable
            enum:
              - ACH
              - RTGS
          notes:
            type: string
            description: Additional notes if available
          beneficiary:
            type: object
            properties:
              accountNumber:
                type: string
                description: Beneficiary's account number
              accountName:
                type: string
                description: Beneficiary's account name
              swiftNumber:
                type: string
                description: SWIFT number if applicable
              routingNumber:
                type: string
                description: Routing number if applicable
              beneficiaryMobileNumber:
                type: string
                description: Beneficiary's mobile number if applicable
              beneficiaryEmail:
                type: string
                format: email
                description: Beneficiary's email if applicable
          clientId:
            type: string
            description: Application Client ID associated with the payout
    UnauthorizedError:
      type: object
      properties:
        message:
          type: string
          description: Unauthorized Error
          example: Unauthorized
    NotFoundError:
      type: object
      properties:
        message:
          type: string
          example: 'Invalid or missing payout: {your order reference}'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Authorization header containing the JWT access token returned from the
        generate token endpoint. The token already includes the Bearer prefix.
        Example: `Authorization: Bearer eyJhbGciOi...`
      bearerFormat: JWT

````